logo 在PyCharm中配置项目 我也要发布文档

(十三):安装,卸载和升级软件包


PyCharm是一种Python IDE,其带有一整套可以帮助用户在使用Python语言开发时提高其效率的工具。此外,该IDE提供了一些高级功能,以用于Django框架下的专业Web开发。

PyCharm最新版本2019.3现已发布,增加用于Jupyter笔记本的交互式小部件,MongoDB支持以及所有Python 3.8功能的代码帮助,还有其他功能改进提高Python语言开发效率!小编已将PyCharm2019.3安装包上传至慧都官网,感兴趣的朋友欢迎下载体验~

点击下载PyCharm最新版2019.3

安装,卸载和升级软件包

PyCharm提供了用于安装,卸载和升级特定Python解释器的Python软件包的方法。默认情况下,PyCharm使用pip来管理项目包。对于Conda环境,您可以使用conda软件包管理器。

要管理项目解释器的Python包,请 在项目设置/首选项中选择“ 项目解释器”页面,或在“ Python解释器”小部件中选择“ 解释器设置”。


如果您选择具有已配置的Conda环境的Python解释器,则“ 使用Conda软件包管理器” 切换将出现在“软件包”区域工具栏中。


使用此切换按钮可以从Conda环境存储库管理软件包。默认情况下,此切换开关处于关闭状态,并且您只能管理所选Python解释器可用的软件包。

安装套件

1、点击安装。

2、在打开的“ 可用软件包”对话框中,预览可用软件包的列表。


要指定自定义存储库(包括devpi或 PyPi),请点击管理存储库。

在打开的“ 管理存储库”对话框中,单击 添加资料库 以添加本地存储库的URL,例如http:// localhost:3141 / root / pypi / + simple /,然后单击“ 确定”。在“ 可用软件包”对话框中,单击重新加载软件包列表 以重新加载软件包列表。

3、在搜索字段中输入要安装的软件包的名称。列表缩小以仅显示匹配的软件包。


4、如果需要,请选择以下复选框:


  • 指定版本:如果选中此复选框,则可以从可用版本列表中选择所需的版本。默认情况下,采用最新版本。
  • 选项:如果选中此复选框,则可以在文本字段中键入选项。
  • 安装到用户的站点软件包目录:如果未选中此复选框(默认情况下),则软件包将被安装到当前的解释器软件包目录中。如果选中此复选框,则软件包将安装到指定目录中。此选项不适用于Conda环境。


5、选择目标软件包,然后单击“ 安装软件包”。


卸载软件包

1、在软件包列表中,选择要删除的软件包。

2、单击卸载(卸载软件包)。所选软件包将从磁盘中删除。

PyCharm通过显示当前安装的软件包版本号(列Version)和最新可用版本(列最新版本)的数量,智能地跟踪软件包的状态并识别过时的版本。当检测到较新版本的软件包时,PyCharm会用箭头标记它, 新版本可用 并建议对其进行升级。

默认情况下,“ 最新版本”列仅显示软件包的稳定版本。如果要将最新可用版本的范围扩展到任何预发行版本(例如beta或 候选发行版),请点击显示早期版本。


升级软件包

1、在软件包列表中,选择要升级的软件包。

2、单击升级( )。请注意,单击“ 应用 ”不会导致软件包升级。此按钮仅利用所有执行的软件包更改。



选定的软件包将升级到最新的可用版本。

您可以一次升级多个软件包。按住Cmd(macOS)或Ctrl (在Unix或Windows上),单击鼠标左键以在软件包列表中选择多个项目,然后单击“ 升级”

如果您习惯于从命令行安装软件包,则可以使用Python控制台继续进行工作流程。

重复使用已安装的软件包


  • 创建一个新的虚拟环境,并安装要在其他项目中使用的软件包。然后,您可以将此虚拟环境指定为目标项目的项目解释器,并且所有需要的软件包都将可用。
  • 在“ 终端”窗口中,执行以下命令:


pip freeze > requirements.txt

然后将创建的requirements.txt文件添加到目标项目,PyCharm将提示您安装文件中列出的软件包。

**想要了解或购买Pycharm正版授权的朋友欢迎咨询慧都在线客服